> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tribalhabits.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all pathway enrolments

> This endpoint retrieves all pathway enrolments (paginated), oldest first.

The same list, filtered to one pathway or one user, is also available at `GET /papi/pathway_assignments/by_pathway/PATHWAY_ID` and `GET /papi/pathway_assignments/by_user/USER_ID`, where `USER_ID` is the internal user ID (`person.id`).

If a `pathway_id`, `user_name` or `user_id` filter does not match a pathway or user, no records are returned.

Results are paginated. For example, `GET /papi/pathway_assignments?page=2` returns the second page.

To create or update pathway enrolments, use [Create or update topic or pathway enrolments](/api-reference/enrolments/create-or-update-topic-or-pathway-enrolments).




## OpenAPI

````yaml /openapi.yaml get /pathway_assignments
openapi: 3.1.0
info:
  title: Tribal Habits Public API
  version: '1'
  description: >
    The Tribal Habits Public API V1. Use it to manage your Tribal Habits user
    accounts (list, show, create and update) and other entities.


    Replace `myorg` in the server URL with your organisation's subdomain. See
    [Vanity URL](/vanity-url) if you use your own domain.
servers:
  - url: https://myorg.tribalhabits.com/papi
security:
  - ApiKeyHeader: []
tags:
  - name: Users
    description: Users
  - name: Topics
    description: Topics
  - name: Pathways
    description: Pathways
  - name: Enrolments
    description: Topic and Pathway Enrolments
  - name: Certificates
    description: >-
      Certificate generation and retrieval for completed topic and pathway
      enrolments.
  - name: External Knowledge
    description: Knowledge obtained from a source external of Tribal Habits.
  - name: Webhooks
    description: >-
      Webhooks triggered from certain actions in code that will call URLs
      assigned by you.
paths:
  /pathway_assignments:
    get:
      tags:
        - Enrolments
      summary: Get all pathway enrolments
      description: >
        This endpoint retrieves all pathway enrolments (paginated), oldest
        first.


        The same list, filtered to one pathway or one user, is also available at
        `GET /papi/pathway_assignments/by_pathway/PATHWAY_ID` and `GET
        /papi/pathway_assignments/by_user/USER_ID`, where `USER_ID` is the
        internal user ID (`person.id`).


        If a `pathway_id`, `user_name` or `user_id` filter does not match a
        pathway or user, no records are returned.


        Results are paginated. For example, `GET
        /papi/pathway_assignments?page=2` returns the second page.


        To create or update pathway enrolments, use [Create or update topic or
        pathway
        enrolments](/api-reference/enrolments/create-or-update-topic-or-pathway-enrolments).
      operationId: getPathwayEnrolments
      parameters:
        - name: pathway_ids
          in: query
          description: Comma separated list of pathway ids, eg `1,17`
          schema:
            type: string
        - name: pathway_id
          in: query
          description: A single pathway id
          schema:
            type: integer
        - name: user_name
          in: query
          description: Only enrolments for this user (case-insensitive)
          schema:
            type: string
        - name: user_id
          in: query
          description: Only enrolments for this internal user ID (`person.id`)
          schema:
            type: integer
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/MaxPerPage'
        - $ref: '#/components/parameters/UpdatedAt'
      responses:
        '200':
          description: A page of pathway enrolments
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Pagination'
                  - type: object
                    properties:
                      records:
                        type: array
                        items:
                          $ref: '#/components/schemas/PathwayEnrolment'
              examples:
                example:
                  $ref: '#/components/examples/PathwayEnrolmentPage'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    Page:
      name: page
      in: query
      description: Results page to return
      schema:
        type: integer
        default: 1
    MaxPerPage:
      name: max_per_page
      in: query
      description: >-
        Maximum number of results per page. Maximum permitted page size is 100.
        Larger values are reduced to 100.
      schema:
        type: integer
        default: 25
    UpdatedAt:
      name: updated_at
      in: query
      description: >-
        Only records updated after this time, in UTC. Use the ISO 8601 form
        "yyyy-mm-ddThh:mm:ss", eg "2023-02-01T15:12:13". Do not include a time
        zone offset
      schema:
        type: string
        example: '2023-02-01T15:12:13'
  schemas:
    Pagination:
      type: object
      properties:
        total_records:
          type: integer
          description: Total number of records
        max_per_page:
          type: integer
          description: Maximum number of results per page
        current_page:
          type: integer
          description: Results page returned
        total_pages:
          type: integer
          description: Total number of pages
    PathwayEnrolment:
      type: object
      properties:
        id:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        conquered_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the pathway was completed, or `null`
        status:
          type: string
          enum:
            - Pre-enrolled
            - Unexplored
            - Exploring
            - Applying
            - Conquered
            - recertify
          description: >-
            Progress of the enrolment: `Pre-enrolled`, `Unexplored`,
            `Exploring`, `Applying`, `Conquered` (completed) or `recertify`
        due_date:
          type:
            - string
            - 'null'
          format: date-time
        enrolled_by:
          type:
            - string
            - 'null'
        certified_date:
          type:
            - string
            - 'null'
          description: Date the certification is valid until, or `null`
        recertification_allowed:
          type: boolean
        skills_attained:
          type: array
          items:
            $ref: '#/components/schemas/SkillAttained'
        person:
          $ref: '#/components/schemas/EnrolmentPerson'
        pathway:
          type: object
          properties:
            id:
              type: integer
            title:
              type: string
            link:
              type: string
            show_certificate:
              type: boolean
            external_id:
              type:
                - string
                - 'null'
    SkillAttained:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
    EnrolmentPerson:
      type: object
      properties:
        id:
          type: integer
          description: Internal user ID. This is not the `user_name`
        name:
          type: string
        user_name:
          type: string
        link:
          type: string
          description: Path of the related page in Tribal Habits
  examples:
    PathwayEnrolmentPage:
      summary: A page of pathway enrolments
      value:
        total_records: 371
        max_per_page: 25
        current_page: 1
        total_pages: 15
        records:
          - id: 2
            created_at: '2019-08-08T15:51:31.424+10:00'
            updated_at: '2020-01-22T14:38:39.099+11:00'
            conquered_at: null
            status: Unexplored
            due_date: '2019-12-03T10:54:00.000+11:00'
            enrolled_by: PAPI
            certified_date: null
            recertification_allowed: true
            skills_attained:
              - id: 13
                name: First Aid
            person:
              id: 4
              name: UserB
              user_name: '12345'
              link: /people/users/6
            pathway:
              id: 1
              title: Test Pathway ABC
              link: /knowledge/pathways/1/overview
              show_certificate: true
              external_id: '123'
  responses:
    Unauthorized:
      description: >-
        Unauthorized - The request does not include the API key, the API key is
        incorrect, or API access is not enabled on your plan.
    TooManyRequests:
      description: >-
        Too Many Requests - You have exceeded the rate limit. See [Rate
        limits](/rate-limits)
      headers:
        Retry-After:
          description: Number of seconds until the rate limit window resets
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              retry_after_seconds:
                type: integer
          example:
            error: Rate limit exceeded. Please slow down.
            retry_after_seconds: 23
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >
        Your organisation's API key, sent as `Authorization: my_api_key`. The
        key can also be passed as an `api_key` query parameter. See
        [Authentication](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.